> For the complete documentation index, see [llms.txt](https://docs.vngcloud.vn/vng-cloud-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vngcloud.vn/vng-cloud-document/vdb/relational-database-service-rds/working-with-rds/giam-sat-hoat-dong-vdb-bang-vmonitor-platform.md).

# Monitoring vDB with vMonitor Platform

Monitoring is an essential requirement for any system. On GreenNode, you can monitor vDB by using the **vMonitor Platform** service.

**vMonitor Platform** is a Monitoring as a Service (MaaS) that collects health metrics and logs of resources on GreenNode (or outside GreenNode). Additionally, you can create visual dashboards, set alarms, and send notifications when incidents occur. For more details about this service, refer to: [vMonitor Platform](https://docs.vngcloud.vn/vng-cloud-document/vmonitor).

To get started, access the vMonitor Platform, go to the **Infrastructure List**, and select the **vDB** tab at the link: [**vMonitor Infrastructure List > vDB**](https://vmonitor.console.vngcloud.vn/infrastructure/vdb). You can refer to the description at: [**Working with vDB - Metric**.](https://docs.vngcloud.vn/vng-cloud-document/vmonitor/dashboards/metrics/lam-viec-voi-product-metric/lam-viec-voi-vdb-metric)

Currently, **vMonitor Platform** allows you to view the metrics of all vDB Instances with a default dashboard (automatically generated by the system with a limited set of metrics) and a retention period of 1 day, completely free. To create dashboards with an unlimited number of metrics, view metrics with longer retention periods, and create alarms for resource usage (e.g., CPU, memory, disk, connections, buffer, etc.) when they reach dangerous thresholds, you need to **Enable detailed Monitoring**. This requires you to register for a quota with **vMonitor Platform**. For more information, refer to: **Working with Metric Quota**.

After enabling detailed monitoring, you can clone the default dashboard and add other widgets as needed or create new dashboards.

At this point, you can select metrics for vDB in the format: `vdb.<engine_name>.<metric_name>`. For example: `vdb.cpu.percent`, `vdb.mysql.net.threads_connected`, `vdb.postgresql.rows_inserted`, etc.

The vDB metrics support the following dimensions to filter metrics by specific vDB Instance details such as ID, name, engine type, and version:

* **database\_id**: ID of the vDB Instance.
* **database\_name**: Name of the vDB Instance.
* **engine**: Type of engine (e.g., MySQL, MariaDB, PostgreSQL, Redis).
* **version**: Version of the engine.
* **zone**: Zone of the resource (e.g., HCM-03).

You can also create alarms based on these metrics. **Set Alarms for Metrics**

For critical vDB instances, GreenNode recommends creating at least the following alarms:

* **CPU usage**: Percentage of CPU usage for the vDB Instance. Use the metric `vdb.cpu.percent`, with warning thresholds like >80%, >90%, >100%.
* **Memory usable**: Percentage of available memory for the vDB Instance. Use the metric `vdb.mem.usable_perc`, with warning thresholds like <20%, <10%.
* **Disk usage**: Percentage of disk usage for the vDB Instance. Use the metric `vdb.disk.space_used_perc`, with warning thresholds like >80%, >90%, >100%.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vngcloud.vn/vng-cloud-document/vdb/relational-database-service-rds/working-with-rds/giam-sat-hoat-dong-vdb-bang-vmonitor-platform.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
